# Apiary

SSH honeypot with web-frontend.

## Requirements

* `go >= 1.16`
* `node >= 22`

Requires a postgres database if you want data to persist through server restart.

## Build using nix

```console
$ nix build .#

$ ./result/bin/apiary --version
apiary version v0.2.1-d86bc2be079c6b18a9f941752ebad45d925366d1 (go1.23.6)
```

## Build without nix

See [Dockerfile](./Dockerfile) for how to build frontend and backend. Or use Dockerfile
and copy binary from image.

## Install

```console
Build or download binary
$ cp ./apiary /usr/local/bin/apiary

Edit config file, should use postgres if you want persistent storage.
See example config for the different options.
$ vim /etc/apiary/apiary.toml

$ /usr/bin/apiary serve
2021-04-10T11:27:42.783+0200    INFO   APP     Starting SSH server
2021-04-10T11:27:42.783+0200    INFO   APP     Starting web server
```

